From 7a1f94bc20d2eb80ca05a78fb798d5ff0e2022cf Mon Sep 17 00:00:00 2001
From: AlvinSchiller <103769832+AlvinSchiller@users.noreply.github.com>
Date: Sun, 28 Aug 2022 20:44:17 +0200
Subject: [PATCH] set newLastUsedRidForDomainEntry after request was
 successfull

---
 dnsapi/dns_selfhost.sh | 21 +++++++++++----------
 1 file changed, 11 insertions(+), 10 deletions(-)

diff --git a/dnsapi/dns_selfhost.sh b/dnsapi/dns_selfhost.sh
index 4c94576b..a6ef1f94 100644
--- a/dnsapi/dns_selfhost.sh
+++ b/dnsapi/dns_selfhost.sh
@@ -53,6 +53,17 @@ dns_selfhost_add() {
     rid="$rid2"
   fi
 
+  _info "Trying to add $txt on selfhost for rid: $rid"
+
+  data="?username=$SELFHOSTDNS_USERNAME&password=$SELFHOSTDNS_PASSWORD&rid=$rid&content=$txt"
+  response="$(_get "$SELFHOSTDNS_UPDATE_URL$data")"
+
+  if ! echo "$response" | grep "200 OK" >/dev/null; then
+    _err "Invalid response of acme-dns for selfhost"
+    return 1
+  fi
+
+  # write last used rid domain
   newLastUsedRidForDomainEntry="$fulldomain:$rid"
   if ! test -z "$lastUsedRidForDomainEntry"; then
     # replace last used rid entry for domain
@@ -66,16 +77,6 @@ dns_selfhost_add() {
     fi
   fi
 
-  _info "Trying to add $txt on selfhost for rid: $rid"
-
-  data="?username=$SELFHOSTDNS_USERNAME&password=$SELFHOSTDNS_PASSWORD&rid=$rid&content=$txt"
-  response="$(_get "$SELFHOSTDNS_UPDATE_URL$data")"
-
-  if ! echo "$response" | grep "200 OK" >/dev/null; then
-    _err "Invalid response of acme-dns for selfhost"
-    return 1
-  fi
-
   # Now that we know the values are good, save them
   _saveaccountconf_mutable SELFHOSTDNS_USERNAME "$SELFHOSTDNS_USERNAME"
   _saveaccountconf_mutable SELFHOSTDNS_PASSWORD "$SELFHOSTDNS_PASSWORD"